---
title: rattler-build
---
<!--- This file is autogenerated. Do not edit manually! -->
# rattler-build

## Usage
```
rattler-build [OPTIONS] [COMMAND]
```

## Subcommands
| Command | Description |
|---------|-------------|
| [`build`](build.md) | Build a package from a recipe |
| [`publish`](publish.md) | Publish packages to a channel. This command builds packages from recipes (or uses already built packages), uploads them to a channel, and runs indexing |
| [`test`](test.md) | Run a test for a single package |
| [`rebuild`](rebuild.md) | Rebuild a package from a package file instead of a recipe |
| [`upload`](upload/index.md) | Upload a package |
| [`completion`](completion.md) | Generate shell completion script |
| [`generate-recipe`](generate-recipe/index.md) | Generate a recipe from PyPI, CRAN, CPAN, or LuaRocks |
| [`auth`](auth/index.md) | Handle authentication to external channels |
| [`debug`](debug/index.md) | Debug a recipe build |
| [`package`](package/index.md) | Package-related subcommands |
| [`bump-recipe`](bump-recipe.md) | Bump a recipe to a new version |
| [`migrate-recipe`](migrate-recipe.md) | Migrate a recipe from the deprecated `cache:` format to `staging:` outputs |


## Options
- <a id="arg---verbose" href="#arg---verbose">`--verbose (-v)`</a>
:  Increase logging verbosity
- <a id="arg---quiet" href="#arg---quiet">`--quiet (-q)`</a>
:  Decrease logging verbosity
- <a id="arg---log-style" href="#arg---log-style">`--log-style <LOG_STYLE>`</a>
:  Logging style
<br>**env**: `RATTLER_BUILD_LOG_STYLE`
<br>**default**: `fancy`
<br>**options**: `fancy`, `json`, `plain`, `simple`
- <a id="arg---wrap-log-lines" href="#arg---wrap-log-lines">`--wrap-log-lines <WRAP_LOG_LINES>`</a>
:  Wrap log lines at the terminal width. This is automatically disabled on CI (by detecting the `CI` environment variable)
<br>**env**: `RATTLER_BUILD_WRAP_LOG_LINES`
<br>**options**: `true`, `false`
- <a id="arg---config-file" href="#arg---config-file">`--config-file <CONFIG_FILE>`</a>
:  The Rattler-Build configuration file to use. If not set, configuration is loaded from the default locations (the system-wide and global pixi configuration files as well as rattler-build's own configuration files)
- <a id="arg---no-config" href="#arg---no-config">`--no-config`</a>
:  Do not load any configuration. Disables the automatic discovery of pixi/rattler-build configuration files so that only built-in defaults and command-line arguments are used (the behavior of rattler-build versions before default config discovery was added). Mutually exclusive with `--config-file`
- <a id="arg---color" href="#arg---color">`--color <COLOR>`</a>
:  Enable or disable colored output from Rattler-Build. Also honors the `CLICOLOR` and `CLICOLOR_FORCE` environment variable
<br>**env**: `RATTLER_BUILD_COLOR`
<br>**default**: `auto`
<br>**options**: `always`, `never`, `auto`
